<?php

namespace June\Components\Logger\Helper;

class LoggerHelper {

    const LOG_PATH = "/../var/log/";

    private string $publicBasePath;

    public function __construct($publicBasePath)
    {
        $this->publicBasePath = $publicBasePath;
    }

    public function logInfo($errorMessage, $scope) {
        $errorMessage = str_replace(array("\r", "\n"), '', $errorMessage);
        $error_message = "[".date("Y-m-d\TH:i:s.uP")."] ".$scope.".INFO: ".$errorMessage."\n";
        $destination = "{$this->publicBasePath}".self::LOG_PATH."june-".date("Y-m-d").".log";
        error_log($error_message, 3, $destination);
    }

    public function logError($errorMessage, $scope) {
        $errorMessage = str_replace(array("\r", "\n"), '', $errorMessage);
        $error_message = "[".date("Y-m-d\TH:i:s.uP")."] ".$scope.".ERROR: ".$errorMessage."\n";
        $destination = "{$this->publicBasePath}".self::LOG_PATH."june-".date("Y-m-d").".log";
        error_log($error_message, 3, $destination);
    }

    public function logSocket($errorMessage) {
        $errorMessage = str_replace(array("\r", "\n"), '', $errorMessage);
        $error_message = "[".date("Y-m-d\TH:i:s.uP")."] "."SOCKET".".ERROR: ".$errorMessage."\n";
        $destination = "{$this->publicBasePath}".self::LOG_PATH."june_socket-".date("Y-m-d").".log";
        error_log($error_message, 3, $destination);
    }
}
