<?php declare(strict_types=1);

namespace June\Migration;

use Doctrine\DBAL\Connection;
use Shopware\Core\Framework\Migration\MigrationStep;

class Migration1723716745JuneCustomerExtensionMany extends MigrationStep
{
    public function getCreationTimestamp(): int
    {
        return 1723716745;
    }

    public function update(Connection $connection): void
    {
        $sql = <<<SQL
ALTER TABLE `june_customer_extension` 
    ADD COLUMN `sales_channel_id` BINARY(16) NULL;
ALTER TABLE `june_customer_extension` 
    ADD CONSTRAINT `fk.june_customer_extension.sales_channel_id` FOREIGN KEY (`sales_channel_id`) REFERENCES `sales_channel` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;
SQL;
        $connection->executeStatement($sql);
    }

    public function updateDestructive(Connection $connection): void
    {
        // implement update destructive
    }
}
