const { ApiService } = Shopware.Classes;

class JuneExport extends ApiService {
    constructor(httpClient, loginService, apiEndpoint = '') {
        super(httpClient, loginService, apiEndpoint);
    }

    startSubscriberExport() {
        const apiRoute = `${this.getApiBasePath()}/june-export-subscribers`;
        return this.httpClient.get(
            apiRoute,
            {
                headers: this.getBasicHeaders()
            }
        ).then((response) => {
            return ApiService.handleResponse(response);
        });
    }

    startOrderExport() {
        const apiRoute = `${this.getApiBasePath()}/june-export-orders`;
        return this.httpClient.get(
            apiRoute,
            {
                headers: this.getBasicHeaders()
            }
        ).then((response) => {
            return ApiService.handleResponse(response);
        });
    }
}

export default JuneExport;
