const { Component, Mixin } = Shopware;

import template from './export-subscribers.twig';
import './june-export-subscribers.scss';

Component.register('june-export-subscribers', {
   template,

   inject: ['juneExportService'],
   mixins: [
      Mixin.getByName('notification')
   ],

   data() {
      return {
         isLoading: false
      };
   },

   methods: {
      async startExport() {
         this.isLoading = true;
         await this.juneExportService.startSubscriberExport();
         this.createNotificationSuccess({
            message: 'The subscriber export was successfully started'
         })
         this.isLoading = false;
      }
   }
});
